libdmmp0_2_0-0.8.0+17+suse.a28893f-2.1.i586.rpm


Advertisement

Description

libdmmp0_2_0 - C API for multipath-tools

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libdmmp0_2_0-0.8.0+17+suse.a28893f-2.1.i586.rpm
Package name libdmmp0_2_0
Package version 0.8.0+17+suse.a28893f
Package release 2.1
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://christophe.varoqui.free.fr/
License GPL-3.0-or-later
Maintainer -
Download size 78.64 KB
Installed size 71.67 KB
This library enables the use of libmultipath commands from C code.

Alternatives

Package Version Architecture Repository
libdmmp0_2_0-0.8.0+17+suse.a28893f-2.1.x86_64.rpm 0.8.0+17+suse.a28893f x86_64 openSUSE Oss
libdmmp0_2_0 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.17) -
libjson-c.so.4 -
libmpathcmd.so.0 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
multipath-tools -

Provides

Name Value
libdmmp.so.0.2.0 -
libdmmp0_2_0 = 0.8.0+17+suse.a28893f-2.1
libdmmp0_2_0(x86-32) = 0.8.0+17+suse.a28893f-2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libdmmp0_2_0-0.8.0+17+suse.a28893f-2.1.i586.rpm
Source Package multipath-tools-0.8.0+17+suse.a28893f-2.1.src.rpm

Install Howto

Install libdmmp0_2_0 rpm package:

# zypper install libdmmp0_2_0

Files

Path
/usr/lib/libdmmp.so.0.2.0
/usr/share/licenses/libdmmp0_2_0/GPL-3.0

Changelog

2019-04-13 - Jan Engelhardt <jengelh@inai.de>
- Trim %if..%endif guards that do not affect the build result.
- Combine %service_* calls to reduce generated code.
- Make use of %make_install.
2019-03-19 - Martin Wilck <mwilck@suse.com>
- Re-enable kmod-style dependencies for multipath-tools package
(bsc#1119414)
- Separate out libmpath0 (bsc#1119414)
- Spec file improvements
* Add Conflicts: for older multipath-tools to libmpath0
* Move license files to the libmpath0 package, which contains the
code with complex licensing. The executables are GPL-2.0 anyway.
* Remove bogus dependency of -devel package on device-mapper
* -devel package depends on libmpath0, not multipath-tools
* Remove %dir %{_defaultlicensedir} for SLE12-SP3 and newer
(John Vandenberg <jayvdb@gmail.com>)
* Remove unused /var/cache/multipath directory
* Remove check for multipath maps in %pre and %post
* Remove SLE11-specific multipathd service stop / start from
%pre / %post
* Remove obsolete tools from package description (bsc#1129827)
* Add -n to %service_del_{pre,post}un for multipathd.socket
2019-03-15 - Martin Wilck <mwilck@suse.com>
- Update to version 0.8.0+17+suse.a28893f:
* Code-identical to 0.7.9+139+suse.ed9d450, except for new
version number
- Disable kmod() style dependencies for now, as they are causing
problems with image builds (bsc#1119414). They'd been active
for SLE15-SP1 only, anyway.
- _service: determine "tag offset" manually, the patch count
determined by git is far too high.
2019-03-07 - Martin Wilck <mwilck@suse.com>
- Fix module name in multipath.conf (bsc#1119414)
* The modules-load.d entry must match the filename exactly
2019-03-07 - mwilck@suse.com
- Update to version 0.7.9+139+suse.ed9d450:
* multipath-tools: Build: properly parse systemd's version
2019-03-05 - Martin Wilck <mwilck@suse.com>
- Add kmod(xyz) style dependencies for SLE15-SP1
(jsc#SLE-3853, fate#326579, bsc#1119414)
2019-03-05 - mwilck@suse.com
- Update to version 0.7.9+138+suse.0edd0a2:
- Include reviewed fixes from upstream
* libmutipath: continue to use old state on PATH_PENDING
* libmultipath: disable user_friendly_names for NetApp
* multipath: blacklist zram devices
* various fixes for martinal path code
- Bug fixes:
* multipathd: Fix miscounting active paths (bsc#1125043)
* multipathd: avoid null pointer dereference in LOG_MSG
(bsc#1127873)
* minor fixes suggested by coverity (bsc#1127879)
2019-01-11 - Martin Wilck <mwilck@suse.com>
- Add BuildRequires on suse-module-tools
* we need it for regenerate_initrd_posttrans
2019-01-09 - mwilck@suse.com
- Update to version 0.7.9+111+suse.b4232b7:
- merged upstream cb4a979a (SUSE bug fixes merged upstream,
code-identical to previous release).
2019-01-08 - mwilck@suse.com
- Update to version 0.7.9+109+suse.203c1cf:
* multipathd: avoid crash in cli_list_path (bsc#1121134)
* libmultipath: fix compilation with older kernel headers
(bsc#1121066)
- merged upstream fb824725
* Improved NVMe support in both native and dm-mpath mode
added basic NVMe ANA support (bsc#1119898)
* Fix prio output in "multipathd show topology" (bsc#1119897)
* multipathd: fix daemon not really shutdown
(bsc##1110060, bsc#1110439)

See Also

Package Description
libdmr0_1-3.2.17-1.1.i586.rpm Deepin Video Players
libdmr0_1-3.2.17-1.1.x86_64.rpm Deepin Video Players
libdmtx-devel-0.7.4-16.9.i586.rpm Software for reading and writing Data Matrix barcodes
libdmtx-devel-0.7.4-16.9.x86_64.rpm Software for reading and writing Data Matrix barcodes
libdmtx0-0.7.4-16.9.i586.rpm Software for reading and writing Data Matrix barcodes
libdmtx0-0.7.4-16.9.x86_64.rpm Software for reading and writing Data Matrix barcodes
libdmtx0-32bit-0.7.4-16.9.x86_64.rpm Software for reading and writing Data Matrix barcodes
libdmusic1-3.1.17.1-1.1.i586.rpm Libraries for Deepin Music Player
libdmusic1-3.1.17.1-1.1.x86_64.rpm Libraries for Deepin Music Player
libdmx-devel-1.1.4-1.4.i586.rpm Development files for the Distributed Multihead X extension library
libdmx-devel-1.1.4-1.4.x86_64.rpm Development files for the Distributed Multihead X extension library
libdmx-devel-32bit-1.1.4-1.4.x86_64.rpm Development files for the Distributed Multihead X extension library
libdmx1-1.1.4-1.4.i586.rpm Distributed Multihead X extension library
libdmx1-1.1.4-1.4.x86_64.rpm Distributed Multihead X extension library
libdmx1-32bit-1.1.4-1.4.x86_64.rpm Distributed Multihead X extension library
Advertisement
Advertisement